Workspaces
List a workspace's sessions
Requires workspaces:read.
GET
/
workspaces
/
{workspace_id_or_name}
/
sessions
List a workspace's sessions
curl --request GET \
--url https://api.guild.ai/v1/workspaces/{workspace_id_or_name}/sessions \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.guild.ai/v1/workspaces/{workspace_id_or_name}/sessions"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.guild.ai/v1/workspaces/{workspace_id_or_name}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.guild.ai/v1/workspaces/{workspace_id_or_name}/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.guild.ai/v1/workspaces/{workspace_id_or_name}/sessions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.guild.ai/v1/workspaces/{workspace_id_or_name}/sessions")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.guild.ai/v1/workspaces/{workspace_id_or_name}/sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"initiator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"test_type": "MANUAL",
"version_override_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"context_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"context_override_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"interrupted_at": "2023-11-07T05:31:56Z",
"interrupted_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"seed_context": "<string>"
}
],
"pagination": {
"total_count": 123,
"limit": 123,
"offset": 123,
"has_more": true
}
}{
"error": "<string>",
"message": "<string>",
"details": {
"fields": {}
}
}{
"error": "<string>",
"message": "<string>",
"details": {
"fields": {}
}
}{
"error": "<string>",
"message": "<string>",
"details": {
"fields": {}
}
}Authorizations
apiKeybearerApiKeyoauth2
API key: key id as the username, secret as the password. An account API key carries the same scopes as an OAuth token and is checked against the scopes listed under oauth2 on each operation. A trigger API key is limited to its trigger's workspace and reaches only the session operations that list this scheme alongside the oauth2 scopes.
Query Parameters
⌘I
List a workspace's sessions
curl --request GET \
--url https://api.guild.ai/v1/workspaces/{workspace_id_or_name}/sessions \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.guild.ai/v1/workspaces/{workspace_id_or_name}/sessions"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.guild.ai/v1/workspaces/{workspace_id_or_name}/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.guild.ai/v1/workspaces/{workspace_id_or_name}/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.guild.ai/v1/workspaces/{workspace_id_or_name}/sessions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.guild.ai/v1/workspaces/{workspace_id_or_name}/sessions")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.guild.ai/v1/workspaces/{workspace_id_or_name}/sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"initiator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"test_type": "MANUAL",
"version_override_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"context_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"context_override_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"interrupted_at": "2023-11-07T05:31:56Z",
"interrupted_by_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"seed_context": "<string>"
}
],
"pagination": {
"total_count": 123,
"limit": 123,
"offset": 123,
"has_more": true
}
}{
"error": "<string>",
"message": "<string>",
"details": {
"fields": {}
}
}{
"error": "<string>",
"message": "<string>",
"details": {
"fields": {}
}
}{
"error": "<string>",
"message": "<string>",
"details": {
"fields": {}
}
}